summaryrefslogtreecommitdiffstats
path: root/make/scripts/deploy-jars-webstarttest.sh
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2009-10-16 02:39:30 -0700
committerSven Gothel <[email protected]>2009-10-16 02:39:30 -0700
commit242da40f2ba446b3f92966461aa55c1bced8debc (patch)
tree3bbd10741f5790aa2b6014b34e46beeee5a1a539 /make/scripts/deploy-jars-webstarttest.sh
parent1d2e9cdca89e83339814abff38790367b33e6523 (diff)
Fix WindowsOffscreenWGLDrawable
Diffstat (limited to 'make/scripts/deploy-jars-webstarttest.sh')
-rwxr-xr-xmake/scripts/deploy-jars-webstarttest.sh60
1 files changed, 60 insertions, 0 deletions
diff --git a/make/scripts/deploy-jars-webstarttest.sh b/make/scripts/deploy-jars-webstarttest.sh
new file mode 100755
index 000000000..9f38c8e28
--- /dev/null
+++ b/make/scripts/deploy-jars-webstarttest.sh
@@ -0,0 +1,60 @@
+#! /bin/sh
+
+joglbuilddir=$1
+shift
+
+wsdir=$1
+shift
+
+if [ -z "$joglbuilddir" -o -z "$wsdir" ] ; then
+ echo usage $0 jogl-builddir webstartdir
+ exit 1
+fi
+
+if [ ! -e $joglbuilddir ] ; then
+ echo $joglbuilddir does not exist
+ exit 1
+fi
+
+if [ ! -e $wsdir ] ; then
+ echo $wsdir does not exist
+ exit 1
+fi
+
+builddirbase=`basename $joglbuilddir`
+joglroot=`dirname $joglbuilddir`
+gluegenroot=$joglroot/../gluegen
+demosroot=$joglroot/../jogl-demos
+
+jnlpdir_gluegen=$gluegenroot/jnlp-files
+jnlpdir_jogl=$joglroot/jnlp-files
+jnlpdir_demos=$demosroot/jnlp-files
+
+if [ ! -e $jnlpdir_gluegen ] ; then
+ echo $jnlpdir_gluegen does not exist
+ exit 1
+fi
+
+if [ ! -e $jnlpdir_jogl ] ; then
+ echo $jnlpdir_jogl does not exist
+ exit 1
+fi
+
+if [ ! -e $jnlpdir_demos ] ; then
+ echo $jnlpdir_demos does not exist
+ exit 1
+fi
+
+cp -v $gluegenroot/$builddirbase/*.jar $wsdir
+cp -v $gluegenroot/$builddirbase/obj/lib*.so $wsdir
+
+cp -v $joglbuilddir/nativewindow/*.jar $wsdir
+cp -v $joglbuilddir/jogl/*.jar $wsdir
+cp -v $joglbuilddir/newt/*.jar $wsdir
+
+cp -v $joglbuilddir/nativewindow/obj/lib*.so $wsdir
+cp -v $joglbuilddir/jogl/obj/lib*.so $wsdir
+cp -v $joglbuilddir/newt/obj/lib*.so $wsdir
+
+cp -v $demosroot/$builddirbase/*.jar $wsdir
+